package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJB3 extends MwfRequest<MWFJB3, MWFJB3Response> {

    @Parameter(name = "AVPole")
    MWFJB3 aVPole(String aVPole);
    @Parameter(name = "CIF")
    MWFJB3 cif(String cif);
    @Parameter(name = "Cache")
    MWFJB3 cache(Long cache);
    @Parameter(name = "CastkaTransakce")
    MWFJB3 castkaTransakce(Double castkaTransakce);
    @Parameter(name = "CisloCostCentra")
    MWFJB3 cisloCostCentra(String cisloCostCentra);
    @Parameter(name = "CisloUctu")
    MWFJB3 cisloUctu(String cisloUctu);
    @Parameter(name = "CisloUctuPrijemce")
    MWFJB3 cisloUctuPrijemce(String cisloUctuPrijemce);
    @Parameter(name = "CisloUctuPrijemceKodBanky")
    MWFJB3 cisloUctuPrijemceKodBanky(String cisloUctuPrijemceKodBanky);
    @Parameter(name = "KonstantniSymbol")
    MWFJB3 konstantniSymbol(String konstantniSymbol);
    @Parameter(name = "Mena")
    MWFJB3 mena(String mena);
    @Parameter(name = "NacistVsechnyBlokace")
    MWFJB3 nacistVsechnyBlokace(Long nacistVsechnyBlokace);
    @Parameter(name = "Neverifikovat")
    MWFJB3 neverifikovat(Long neverifikovat);
    @Parameter(name = "PoplatekZaZruseni")
    MWFJB3 poplatekZaZruseni(Double poplatekZaZruseni);
    @Parameter(name = "ProduktKod")
    MWFJB3 produktKod(String produktKod);
    @Parameter(name = "RealizacniDoba")
    MWFJB3 realizacniDoba(Long realizacniDoba);
    @Parameter(name = "SFMaterBU")
    MWFJB3 sFMaterBU(String sFMaterBU);
    @Parameter(name = "SdeleniID")
    MWFJB3 sdeleniID(Long sdeleniID);
    @Parameter(name = "SdeleniText")
    MWFJB3 sdeleniText(String sdeleniText);
    @Parameter(name = "SpecifickySymbol")
    MWFJB3 specifickySymbol(Long specifickySymbol);
    @Parameter(name = "TypUctu")
    MWFJB3 typUctu(Long typUctu);
    @Parameter(name = "VariabilniSymbol")
    MWFJB3 variabilniSymbol(Long variabilniSymbol);
    @Parameter(name = "ZrusSUZVystrahou")
    MWFJB3 zrusSUZVystrahou(Long zrusSUZVystrahou);
}
